%global repo dde-network-core
%global __provides_exclude_from ^%{_prefix}/lib/dde-.*\\.so$

Name:           deepin-network-core
Version:        1.0.63
Release:        %autorelease
Summary:        DDE network library and plugins

License:        GPLv3+
URL:            https://github.com/linuxdeepin/%{repo}
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

# don't ignore linker flags specified by system
Patch0:         https://github.com/linuxdeepin/dde-network-core/pull/54.patch

BuildRequires:  dtkwidget-devel
BuildRequires:  deepin-qt-dbus-factory-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  cmake
BuildRequires:  deepin-control-center-devel
BuildRequires:  gtest-devel
BuildRequires:  qt5-linguist
BuildRequires:  deepin-dock-devel
BuildRequires:  deepin-session-shell-devel
BuildRequires:  pkgconfig(Qt5Svg)


%description
This package provides %{summary}.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}
sed -i 's: lib/: %{_lib}/:' dcc-network-plugin/CMakeLists.txt \
                          dock-network-plugin/CMakeLists.txt \
                          dss-network-plugin/CMakeLists.txt

%build
%cmake
%cmake_build


%install
%cmake_install


%files
%{_bindir}/dde-network-dialog
%{_libdir}/libdde-network-core.so
%{_libdir}/dde-control-center/modules/
%{_libdir}/dde-dock/plugins
%{_libdir}/dde-session-shell/modules/
%{_datadir}/dcc-network-plugin/
%{_datadir}/dde-network-dialog/
%{_datadir}/dock-network-plugin/
%{_datadir}/dss-network-plugin/
%{_datadir}/dsg
%{_var}/lib/polkit-1/localauthority/10-vendor.d/*

%files devel
%{_includedir}/libddenetworkcore/
%{_libdir}/pkgconfig/%{repo}.pc

%changelog
%autochangelog
